POSTAccountPermissionUpdate

Tron Mainnethttps://tron-mainnet.nodit.io/wallet/accountpermissionupdate

Update the account's permission.

Request Body
owner_addressstringrequired

Transaction initiator address. (Format: Base58 or Hex)

activesstring (json)required

List of active permissions for the account. Example: [{ "type": 2, "permission_name": "active0", "threshold": 2, "operations": "7fff1fc0037e0000000000000000000000000000000000000000000000000000", "keys": [{ "address": "TJZuV6A9QRdtVeJBvewCF9fLF2qnRSEv3y", "weight": 1 }, { "address": "TPswDDCAWhJAZGdHPidFg5nEf8TkNToDX1", "weight": 1 }] }]

ownerstring (json)required

Owner permission object of the account. Example: { "type": 0, "permission_name": "owner", "threshold":1, "keys": [{ "address": "TJZuV6A9QRdtVeJBvewCF9fLF2qnRSEv3y", "weight": 1 }] }

witnessstring (json)

Witness permission object (for Super Representatives). Example: {"type": 1, "permission_name": "witness", "threshold": 1, "keys": [{ "address": "TJZuV6A9QRdtVeJBvewCF9fLF2qnRSEv3y", "weight": 1 }]}

visibleboolean

Optional. Set to true to format addresses in Base58; set to false for hex format. (Default: false)

Permission_idinteger (int32)

Optional. Permission ID used for multi-signature account operations. Defaults to the owner permission (0) if unspecified.

Responses
X-API-KEY
RequestCU30
cURL
curl -X POST "https://tron-mainnet.nodit.io/wallet/accountpermissionupdate" \
  -H "X-API-KEY: {YOUR_API_KEY}" \
  -H "Content-Type: application/json" \
  -d '{
  "owner_address": "TUoHaVjx7n5xz8LwPRDckgFrDWhMhuSuJM",
  "owner": {
    "type": 0,
    "permission_name": "owner",
    "threshold": 1,
    "keys": [
      {
        "address": "TUoHaVjx7n5xz8LwPRDckgFrDWhMhuSuJM",
        "weight": 1
      }
    ]
  },
  "actives": [
    {
      "type": 2,
      "permission_name": "active0",
      "threshold": 2,
      "operations": "7fff1fc0037e0000000000000000000000000000000000000000000000000000",
      "keys": [
        {
          "address": "TUoHaVjx7n5xz8LwPRDckgFrDWhMhuSuJM",
          "weight": 1
        },
        {
          "address": "TPswDDCAWhJAZGdHPidFg5nEf8TkNToDX1",
          "weight": 1
        }
      ]
    }
  ],
  "visible": true
}'
Response
Example · 200
{}